Commit 30779ff1 authored by Paul McCarthy's avatar Paul McCarthy 🚵
Browse files

CI: fix build-pypi-dist, and run it on all commits, so I know whether it's

working or not.
parent b94a7b84
......@@ -16,12 +16,12 @@ for target in $sdist $wheel; do
. test.venv/bin/activate
pip install --upgrade pip setuptools
pip install $target
pip install requirements-demo.txt
pip install requirements-test.txt
pip install -r requirements-demo.txt
pip install -r requirements-test.txt
pushd / > /dev/null
python -c "import ukbparse; print(ukbparse.__version__)"
ukbparse -V
pytest --pyargs ukbparse.tests
pytest -W "ignore::pandas.errors.ParserWarning" --pyargs ukbparse.tests
deactivate
popd > /dev/null
rm -r test.venv
......
......@@ -115,8 +115,6 @@ style:
build-pypi-dist:
<<: *only_releases
stage: build
image: python:3.6
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment